[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: How to install NPTL?




Hi,


I tried the package that you suggested me, and I did these steps:

# mkdir -p home/nptl
# tar xjvf glibc-2.3.2+nptl0.46.tar.bz2
# ln -s glibc-2.3.2+nptl0.46.tar.bz2 glibc
# tar xjvf glibc-linuxthreads-2.3.2pre1.tar.bz2 -C glibc
# cd glibc
# mkdir build
# cd build
# ../configure --prefix=/usr --enable-add-ons=nptl --with-tls
# make

and during "make" now I obtain different errors than with the previous version of glibc:


*************** cut *************************************


In file included from ../sysdeps/unix/sysv/linux/sys/sysctl.h:29,
from ../include/sys/sysctl.h:2,
from ../sysdeps/unix/sysv/linux/dl-osinfo.h:22,
from ../sysdeps/generic/libc-start.c:33:
/lib/modules/2.5.70-bk15/build/include/linux/sysctl.h:39: warning: no semicolon at end of struct or union
/lib/modules/2.5.70-bk15/build/include/linux/sysctl.h:39: parse error before '*' token
/lib/modules/2.5.70-bk15/build/include/linux/sysctl.h:41: parse error before '*' token
/lib/modules/2.5.70-bk15/build/include/linux/sysctl.h:41: warning: type defaults to `int' in declaration of `oldval'
/lib/modules/2.5.70-bk15/build/include/linux/sysctl.h:41: warning: data definition has no type or storage class
/lib/modules/2.5.70-bk15/build/include/linux/sysctl.h:42: parse error before '*' token
/lib/modules/2.5.70-bk15/build/include/linux/sysctl.h:42: warning: type defaults to `int' in declaration of `oldlenp'
/lib/modules/2.5.70-bk15/build/include/linux/sysctl.h:42: warning: data definition has no type or storage class
/lib/modules/2.5.70-bk15/build/include/linux/sysctl.h:43: parse error before '*' token
/lib/modules/2.5.70-bk15/build/include/linux/sysctl.h:43: warning: type defaults to `int' in declaration of `newval'
/lib/modules/2.5.70-bk15/build/include/linux/sysctl.h:43: warning: data definition has no type or storage class
/lib/modules/2.5.70-bk15/build/include/linux/sysctl.h:46: parse error before '}' token
make[2]: *** [/home/nptl/glibc/build/csu/libc-start.o] Error 1
make[2]: Leaving directory `/home/nptl/glibc-2.3.2+nptl0.46/csu'
make[1]: *** [csu/subdir_lib] Error 2
make[1]: Leaving directory `/home/nptl/glibc-2.3.2+nptl0.46'
make: *** [all] Error 2


******************* cut ***********************************


My system have:


RedHat 9
kernel 2.5.70-bk17
gcc 3.3
binutils 2.13.90.0.18

and the /lib/modules/$(uname -r)/build links to /usr/src/linux-2.5.70



Have you an idea??

Thanks!!!

Riccardo-Maria Bianchi





Christian Leber wrote:

You need a recent CVS version.
(this tar.gz includes a tar.bz2 with a cvs snapshot and nptl and it
seems to work:
http://ijuz.uugrn.org/nptl-0.46-0/glibc_2.3.2+nptl0.46-0.tar.gz)










[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]